-module(fable_global).
-compile(nowarn_unused_vars).
-compile(nowarn_unused_function).
-export([s_r_index_out_of_bounds/0, s_r_input_was_empty/0, s_r_input_must_be_non_negative/0, s_r_input_sequence_empty/0, s_r_input_sequence_too_long/0, s_r_key_not_found_alt/0, s_r_different_lengths/0, s_r_not_enough_elements/0, s_r_arg_application_exception/0, s_r_arg_argument_exception/0, s_r_arg_argument_out_of_range_exception/0, s_r_argument_null_generic/0, s_r_arg_param_name_name/0, s_r_arg_arithmetic_exception/0, s_r_arg_divide_by_zero/0, s_r_arg_format_exception/0, s_r_arg_index_out_of_range_exception/0, s_r_arg_invalid_operation_exception/0, s_r_arg_key_not_found/0, s_r_arg_not_finite_number_exception/0, s_r_arg_not_implemented_exception/0, s_r_arg_not_supported_exception/0, s_r_arg_null_reference_exception/0, s_r_arg_out_of_memory_exception/0, s_r_arg_overflow_exception/0, s_r_arg_rank_exception/0, s_r_arg_stack_overflow_exception/0, s_r_arg_system_exception/0, s_r_arg_timeout_exception/0]).

s_r_index_out_of_bounds() ->
    <<"The index was outside the range of elements in the collection."/utf8>>
.

s_r_input_was_empty() ->
    <<"Collection was empty."/utf8>>
.

s_r_input_must_be_non_negative() ->
    <<"The input must be non-negative."/utf8>>
.

s_r_input_sequence_empty() ->
    <<"The input sequence was empty."/utf8>>
.

s_r_input_sequence_too_long() ->
    <<"The input sequence contains more than one element."/utf8>>
.

s_r_key_not_found_alt() ->
    <<"An index satisfying the predicate was not found in the collection."/utf8>>
.

s_r_different_lengths() ->
    <<"The collections had different lengths."/utf8>>
.

s_r_not_enough_elements() ->
    <<"The input sequence has an insufficient number of elements."/utf8>>
.

s_r_arg_application_exception() ->
    <<"Error in the application."/utf8>>
.

s_r_arg_argument_exception() ->
    <<"Value does not fall within the expected range."/utf8>>
.

s_r_arg_argument_out_of_range_exception() ->
    <<"Specified argument was out of the range of valid values."/utf8>>
.

s_r_argument_null_generic() ->
    <<"Value cannot be null."/utf8>>
.

s_r_arg_param_name_name() ->
    <<" (Parameter '"/utf8>>
.

s_r_arg_arithmetic_exception() ->
    <<"Overflow or underflow in the arithmetic operation."/utf8>>
.

s_r_arg_divide_by_zero() ->
    <<"Attempted to divide by zero."/utf8>>
.

s_r_arg_format_exception() ->
    <<"One of the identified items was in an invalid format."/utf8>>
.

s_r_arg_index_out_of_range_exception() ->
    <<"Index was outside the bounds of the array."/utf8>>
.

s_r_arg_invalid_operation_exception() ->
    <<"Operation is not valid due to the current state of the object."/utf8>>
.

s_r_arg_key_not_found() ->
    <<"The given key was not present in the dictionary."/utf8>>
.

s_r_arg_not_finite_number_exception() ->
    <<"Number encountered was not a finite quantity."/utf8>>
.

s_r_arg_not_implemented_exception() ->
    <<"The method or operation is not implemented."/utf8>>
.

s_r_arg_not_supported_exception() ->
    <<"Specified method is not supported."/utf8>>
.

s_r_arg_null_reference_exception() ->
    <<"Object reference not set to an instance of an object."/utf8>>
.

s_r_arg_out_of_memory_exception() ->
    <<"Insufficient memory to continue the execution of the program."/utf8>>
.

s_r_arg_overflow_exception() ->
    <<"Arithmetic operation resulted in an overflow."/utf8>>
.

s_r_arg_rank_exception() ->
    <<"Attempted to operate on an array with the incorrect number of dimensions."/utf8>>
.

s_r_arg_stack_overflow_exception() ->
    <<"Operation caused a stack overflow."/utf8>>
.

s_r_arg_system_exception() ->
    <<"System error."/utf8>>
.

s_r_arg_timeout_exception() ->
    <<"The operation has timed out."/utf8>>
.
